/**
 * @file raw_udp_common.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef HAVE_RAW_UDP_COMMON_H
#define HAVE_RAW_UDP_COMMON_H

#include <inttypes.h>
#include <linux/filter.h>

int raw_udp_common_open_socket(const char *name, int event,
			       unsigned char *ptp_dst_mac,
			       unsigned char *p2p_dst_mac,
			       struct sock_fprog *prg);

int raw_udp_common_bind_port_to_socket(short port, short is_ipv4);

uint16_t raw_udp_common_checksum(void *buf, int length);

#endif
